
### Steps to reproduce

1. Start EAP 7.3 with the attached `standalone-ha.xml`
   or modify the "web" cache-container to use non-transactional replicated-cache without locking manually:

    ```
            <cache-container name="web" default-cache="repl" module="org.wildfly.clustering.web.infinispan">
                <transport lock-timeout="60000"/>
                <replicated-cache name="repl">
                    <!-- <locking isolation="REPEATABLE_READ"/> -->
                    <!-- <transaction mode="BATCH"/> -->
                    <file-store/>
                </replicated-cache>
            </cache-container>
    ```

2. Build and deploy application

```
$ cd /path/to/reproducer/
$ cd ./hello/
$ mvn clean package wildfly:deploy
```

3. Execute JMeter testcase jmeter-testcase.jmx

```
$ wget https://archive.apache.org/dist/jmeter/binaries/apache-jmeter-5.3.zip
$ unzip apache-jmeter-5.3.zip -d /tmp/
$ cd /tmp/apache-jmeter-5.3/
$ export LANG=C
$ ./bin/jmeter.sh -n -t /path/to/reproducer/jmeter-testcase.jmx
```

The attached `jmeter-testcase.jmx` executes:

 - 1 user repeats 100 times of the following two requests with setting "clear cookies each iteration?" to true
   - http://localhost:8080/hello/new?n=500
     (NewServlet that creates a new session and set 500 session attributes)
   - http://localhost:8080/hello/invalidate
     (InvalidateServlet that invalidates the session)

You can use `execute-jmeter-testcase.sh` to execute`jmeter-testcase.jmx` peridically.


4. Monitor a number of `org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeKey` through `jmap -histo`

```
$ cd /path/to/reproducer/
$ ./jmap-histo-check.sh
```

or

```
$ cd /path/to/reproducer/
$ ./jmap-histo-check.sh <JAVA_PID>
```

You will see many `org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeKey` remain after every executing jmeter-testcase.jmx.
That SessionAttributeKey does not decrease even after session-timeout (`<session-timeout>1</session-timeout>` is specified in web.xml of hello.war).

