#!/bin/bash

while true
do
  date

  PID=$1

  if [ "x$PID" == "x" ]; then
    PID=$(jps -mlv | grep jboss-modules.jar | cut -d' ' -f1)
  fi

  if [ "x$PID" != "x" ]; then
    echo "PID: $PID"

    echo "# before GC --------------------------"
    jmap -histo $PID | grep \
      -e "num     #instances         #bytes  class name (module)" \
      -e org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeNamesKey$ \
      -e org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeKey$ \
      -e org.wildfly.clustering.web.infinispan.session.SessionCreationMetaDataKey$ \
      -e org.wildfly.clustering.web.infinispan.session.SessionAccessMetaDataKey$
    echo "--------------------------------------"

    echo "# trigger GC to clean up for testing purpose "
    jcmd $PID GC.run

    echo "# after GC ---------------------------"
    jmap -histo $PID | grep \
      -e "num     #instances         #bytes  class name (module)" \
      -e org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeNamesKey$ \
      -e org.wildfly.clustering.web.infinispan.session.fine.SessionAttributeKey$ \
      -e org.wildfly.clustering.web.infinispan.session.SessionCreationMetaDataKey$ \
      -e org.wildfly.clustering.web.infinispan.session.SessionAccessMetaDataKey$
    echo "--------------------------------------"

    echo ""
  else
    echo "JBoss Java PID does not exist"
    echo ""
  fi

  sleep 3
done

